Main Page Widgets Namespaces Book

# Gtk::TextChildAnchor Class Reference
[TextView Classes]

Inheritance diagram for Gtk::TextChildAnchor:

[legend]

List of all members.

## Detailed Description

A TextChildAnchor is a spot in the buffer where child widgets can be "anchored" (inserted inline, as if they were characters).

The anchor can have multiple widgets anchored, to allow for multiple views.

Typedefed as Gtk::TextBuffer::ChildAnchor.

## Public Member Functions

bool | get_deleted () const
| Determines whether a child anchor has been deleted from the buffer.
Glib::ListHandle<const Widget*> | get_widgets () const
| Gets a list of all widgets anchored at this child anchor.
Glib::ListHandle<Widget*> | get_widgets ()
| Gets a list of all widgets anchored at this child anchor.
const GtkTextChildAnchor* | gobj () const
| Provides access to the underlying C GObject.
GtkTextChildAnchor* | gobj ()
| Provides access to the underlying C GObject.
GtkTextChildAnchor* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
virtual | ~TextChildAnchor ()

## Static Public Member Functions

static Glib::RefPtr <TextChildAnchor> | create ()

## Protected Member Functions

| TextChildAnchor ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr <Gtk::TextChildAnchor> | wrap (GtkTextChildAnchor* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::TextChildAnchor::~TextChildAnchor | ( |  | ) | `[virtual]`

Gtk::TextChildAnchor::TextChildAnchor | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<TextChildAnchor> Gtk::TextChildAnchor::create | ( |  | ) | `[static]`

bool Gtk::TextChildAnchor::get_deleted | ( |  | ) | const

Determines whether a child anchor has been deleted from the buffer.

Keep in mind that the child anchor will be unreferenced when removed from the buffer, so you need to hold your own reference (with Glib::object_ref()) if you plan to use this function — otherwise all deleted child anchors will also be finalized.

Returns:
  `true` if the child anchor has been deleted from its buffer.

Glib::ListHandle<const Widget*> Gtk::TextChildAnchor::get_widgets | ( |  | ) | const

Gets a list of all widgets anchored at this child anchor.

Returns:
  List of widgets anchored at anchor.

Glib::ListHandle<Widget*> Gtk::TextChildAnchor::get_widgets | ( |  | ) |

Gets a list of all widgets anchored at this child anchor.

Returns:
  List of widgets anchored at anchor.

const GtkTextChildAnchor* Gtk::TextChildAnchor::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkTextChildAnchor* Gtk::TextChildAnchor::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkTextChildAnchor* Gtk::TextChildAnchor::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::TextChildAnchor> wrap | ( | GtkTextChildAnchor * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- textchildanchor.h